#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-IJ8qk8i9cb8Ag9L2ekHuP6
key:                  ghcide-2.0.0.0-IJ8qk8i9cb8Ag9L2ekHuP6
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  e8a85fd79d56d1ab74bdce1223fe46ae
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-IJ8qk8i9cb8Ag9L2ekHuP6
depends:
    Diff-0.4.1-3QWVUlKUXtOBGYhRGcCEWb
    Glob-0.10.2-6WlAAAvNPOG5Jc3SA8OxnV
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK
    aeson-pretty-0.8.10-16lJurEf1YvFr0OK8k3g2S array-0.5.4.0
    async-2.2.5-Is7oRSeLDZl4BZOR8rLrw9 base-4.17.2.1
    base16-bytestring-1.0.2.0-64SRXBIAb7g8ZDjXiMNOEh binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-FN4Uh6xsWL1FUfOK6EPYiu
    co-log-core-0.3.2.4-DZhT8GftAlO3UjdhilzVHH containers-0.6.7
    cryptohash-sha1-0.11.101.0-5fmiubzY7BxIcIA1asJLHT
    data-default-0.7.1.1-1yOEWF3Vf5X1WkNQ8K9cH3 deepseq-1.4.8.0
    dependent-map-0.4.0.0-F8IzMkPCqrq4LwELWdjfLj
    dependent-sum-0.7.2.0-IzzpizwXnds7XDHHBjHmIi directory-1.3.7.1
    dlist-1.0-E6NH3FgQOLV23KUyETppVK
    enummapset-0.7.3.0-KaLZZ7PLWsi7ExMJyhwX10 exceptions-0.10.5
    extra-1.7.16-7Y66O2JePbwC6vVnVWFdDd filepath-1.4.2.2
    fingertree-0.1.5.0-JeQCyFc15s9CHiKGscqBro
    focus-1.0.3.2-4rOoc1vMA4y7NSXhyscw9e ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-4KKrVROzdVuG6DgyXXT6tT
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-9r9GVIhAFa19rd74SAujVR
    hashable-1.4.4.0-KhxIO0xb5fm20tEUmKRa81
    hie-bios-0.12.0-2T6PaEksXImKw3R5VBoDbq
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-K4WFb3hWENSHHpMlJBEx1G
    hls-graph-2.0.0.0-9X8dT1k5ml6D2XzPe0KFn
    hls-plugin-api-2.0.0.0-JYrGyUP9yWT8HGpBdLDhkS
    implicit-hie-0.1.2.7-93C29Q4bklH5AlosI7jXif
    implicit-hie-cradle-0.5.0.1-66yQUDCDv1k7vBZQaDEvgL
    lens-5.2.3-7xTAGVF8ixt9yux1447c6O
    list-t-1.0.5.5-BiriRky72gtHY16l5nwR6N
    lsp-1.6.0.0-9fuqLlnAmQv2xzf8eBRNkc
    lsp-types-1.6.0.1-FQjEigyKHkViOnnd7Y5gI mtl-2.2.2
    opentelemetry-0.8.0-DOdgK34797qCQ8mXaBaW4s
    optparse-applicative-0.17.1.0-2Uxzw63jP0W13nA1A9AHJz
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-LdQmVYEBYzYFJ2wm6UeRYc
    prettyprinter-ansi-terminal-1.1.3-D0tuRP5FK6S7EtmtYt5xp5
    random-1.2.1.2-HAosTYlC80LEhYMYrhWYyP
    regex-tdfa-1.3.2.3-LJS0s5hbAWmA39S3S7qIrL
    safe-exceptions-0.1.7.4-7i5PcDmaMDEp7J8LTwqoO
    sorted-list-0.2.3.1-GielfxyAY9TItU74EW4Wh2
    sqlite-simple-0.4.19.0-As87ZuPY8VUB5ckWiLrxnN stm-2.5.1.0
    stm-containers-1.2.1.1-Dh7CqPeGf0jLpO9hHhB3xR
    syb-0.7.2.4-HJAbU0lurQkHN7nU4EHwhb text-2.0.2
    text-rope-0.3-4FGiEVzSJVMEMZZlXPtn8h time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-9sy1NywMtd3A1QAlAqc8oW
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc
    vector-0.13.1.0-IpYwnKXpLxR5PfWJ8aKdft

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

